@import '../../../styles.scss';

.main {
  max-width: 1400px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  height: 740px;
}

h1 {
  margin: 10px 20px;
  font-weight: $font-weight-normal;
  font-size: $font-size-big;
}

.leftwrapper {
  margin: 0 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  width: 70%;
}

.rightwrapper {
  margin: 0 10px;
  display: flex;
  flex-direction: column;
  width: 30%;
  height: 100%;
}

.innerwrapper {
  display: flex;
  flex-direction: row;
  height: 70%;
}

.wrapper50 {
  width: 50%;
  display: flex;
  flex-direction: column;
}

.card {
  background: white;
  border-radius: 10px;
  padding: 10px;
  display: flex;
  flex-wrap: wrap;
}

.card > * {
  margin: 10px 15px;
}

.form {
  background: white;
  border-radius: 10px;
  padding: 10px 10px;
  display: flex;
  flex-wrap: wrap;

  justify-content: flex-end;
}

.form > * {
  margin: 14px 15px;
}

.amount {
  font-size: 2em;
  font-weight: 500;
}

.friends {
  display: flex;
  flex-direction: column;
}

.addfriend {
  background: white;
  border-radius: 10px;
  padding: 20px 10px;
}

.friendlist {
  background: white;
  border-radius: 10px;
  padding: 20px 10px;
  flex: 1 1 auto;
  overflow: scroll;
  height: 1vh;
}

.radio {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.radiowrapper {
  display: flex width 100%;
}

.name {
  width: 100%;
  display: flex;
}
.labelwrapper {
  width: 100%;
}
.first {
  width: 200%;
  margin-right: 15px;
}

label {
  padding: 5px;
}

.btn > button {
  padding: 7px 20px;
}

.form > .pass {
  margin: 15px;
}

.addfriend {
  background: white;
  border-radius: 10px;
  padding: 15px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
}

.addfriend > * {
  margin: 5px;
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
  scrollbar-width: none;
  scrollbar-color: rgba($font-grey, 0.4) rgba(0, 0, 0, 0);
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 11px;
}

*::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0);
}

*::-webkit-scrollbar-thumb {
  background-color: rgba($font-grey, 0.4);
  border-radius: 10px;
  border: 0px;
}

::ng-deep .p-inputgroup .p-inputwrapper > .p-component {
  width: 100%;
}

::ng-deep .p-dropdown {
  border-radius: 0 6px 6px 0;
}
